Bug 103146 - Revamp Extension Manager Dialog
Summary: Revamp Extension Manager Dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Muhammet Kara
QA Contact:
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: Dialog Extension-Manager
  Show dependency treegraph
 
Reported: 2016-10-12 09:09 UTC by Muhammet Kara
Modified: 2016-11-22 14:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Proposed order of buttons (9.49 KB, image/png)
2016-10-12 09:09 UTC, Muhammet Kara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Muhammet Kara 2016-10-12 09:09:53 UTC
Created attachment 127960 [details]
Proposed order of buttons

This is a spin-off from bug tdf#102004

 Yousuf Philips (jay) 2016-10-08 02:35:11 UTC
> @Mohammet: Can we move the 'Options' button out of the list and have it on a
> row below the list along with buttons for 'add', 'update' and 'remove', rather
> than some of these buttons being next to the close button?
Comment 1 Muhammet Kara 2016-10-12 09:14:18 UTC
@Yousuf: What should be the behavior for visibility of the extension-specific buttons (like 'Options')? They appear/disappear based on the selected extension. Should we keep the other buttons at fixed positions when these are hidden?
Comment 2 Yousuf Philips (jay) 2016-10-12 11:05:01 UTC
Thanks for taking this on Muahmmet. The buttons should always be visible but are contextually disabled.
Comment 3 Commit Notification 2016-11-09 14:17:27 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=989cf68b68eda98b9f3942bb738e60ec649707dc

tdf#103146 Revamp Extension Manager Dialog, Part 1

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-11-15 21:48:03 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=88f31af74816dbb7a85df73602f2c24dbd6fedae

tdf#103146 Revamp Extension Manager Dialog, Part 2

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-11-21 09:19:45 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3aec456ba8a0d1f9aef2fc1735d1861fe9d3a98c

tdf#103146 Revamp Extension Manager Dialog, Part 3

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.